Subject: bug#17610: Suggested enhancement to du command

From: A <[email-masked]>
Date: Tue, 27 May 2014 00:47:16 -0700

I would like to request an enhancement to the du utility.

Being as how (I would assume) most people use du to determine what is 
taking up all the disk space, I would like to request that du provide 
output limited to a range of sizes.  For example I want to only see 
files greater than or equal to 20MB.  This is the greatly preferred 
option.  Failing this, then I would like to see either
     a) output formatted so as to be able to feed it to the "sort" 
utility and get a list of files sorted by size or
     b) an option in du to sort files by size.

Currently attempting to sort by size results in a mish-mash of pseudo 
sorted files.  Just so you know, I always use the -h option so as to get 
human readable format (which for the record is a fantastic option and I 
would love to see it as the default).

Thank you for your consideration.

- Andrew